document.querySelectorAll('a[href^="#"]').forEach((anchor) => {
  anchor.addEventListener("click", function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute("href")).scrollIntoView({
      behavior: "smooth",
    });
  });
});

window.onscroll = function onscrollNav() {
  var h = document.documentElement.scrollTop || document.body.scrollTop;
  var headerTop = document.getElementById("head"); // 获取导航栏id
  // 过了这个高度，直接透明度拉满
  if (h > 100) {
    // header的高度是40px（不理解）
    headerTop.style.background = "#fff";
  } else if (h <= 100) {
    headerTop.style.background = "transparent";
  }
};

$(document).ready(function() {
    $('.nav-item').click(function() {
        $('.nav-item').removeClass('active');
        $(this).addClass('active')
    });
  });


// $(document).ready(function() {
//   $('.gopage').click(function() {
//       window.open('https://beian.miit.gov.cn/','_blank')
//   });
// });
  
$(document).ready(function() {
  $('.gopageicp').click(function() {
      window.open('https://beian.miit.gov.cn/','_blank')
  });
});
  
// $(window).scroll(function(event){
// checkscroll()
// });
// function checkscroll(){
// var winPos = $(window).scrollTop(); //屏幕位置
// var NodePos = [$('#section1').offset().top,$('#section2').offset().top,$('#section3').offset().top],//提前获取好元素位置
//     length = NodePos .length; 
// console.log(winPos<=NodePos[1])
// if(winPos<=NodePos[1]){
//     $('.nav-item').removeClass('active');
//     $('.nav-item:nth-child(1)').addClass('active');
// }else{
//     for(var i = 1;i<length; i++){
//     if((i < length -1 && winPos<NodePos[i+1]&&winPos>=NodePos[i]) || (i == length -1 && winPos<=NodePos[i])){
//         $('.nav-item').removeClass('active');
//         $('.nav-item:nth-child('+(i+1)+')').addClass('active');
//         break;
//     }
//     }
// }
// }
